# TIndex2 Class Reference

Inheritance diagram for TIndex2:

List of all members.

## Public Member Functions
| TIndex2 ()
| TIndex2 (const int32 xx, const int32 yy)
| operator TMCPoint & (void)
| operator const TMCPoint & (void) const
void | Set (const int32 xx, const int32 yy)
real | GetMagnitudeSquared (void) const
real | GetMagnitude (void) const
real | GetDistance (const TIndex2 &v) const
void | Swap (TIndex2 &v)
void | Negate (void)
TIndex2 | operator- (void) const
TIndex2 & | operator+= (const TIndex2 &rhs)
TIndex2 & | operator-= (const TIndex2 &rhs)
TIndex2 | operator+ (const TIndex2 &rhs) const
TIndex2 | operator- (const TIndex2 &rhs) const
int32 & | operator[] (const uint32 elemNum)
const int32 & | operator[] (const uint32 elemNum) const
boolean | operator== (const TIndex2 &rhs) const
boolean | operator!= (const TIndex2 &rhs) const
boolean | operator< (const TIndex2 &rhs) const
uint32 | GetDimension (void) const
## Public Attributes
int32 | x
int32 | y
## Static Public Attributes
static const TIndex2 | kZero

## Detailed Description

Deprecated, use TMCPoint instead !

## Constructor & Destructor Documentation

TIndex2::TIndex2 | ( |  | ) | `[inline]`

TIndex2::TIndex2 | ( | const int32 | xx,
|  | const int32 | yy |
| ) |  |  | `[inline]`

## Member Function Documentation

uint32 TIndex2::GetDimension | ( | void |  | ) | const`[inline]`

real TIndex2::GetDistance | ( | const TIndex2 & | v | ) | const`[inline]`

real TIndex2::GetMagnitude | ( | void |  | ) | const`[inline]`

real TIndex2::GetMagnitudeSquared | ( | void |  | ) | const`[inline]`

void TIndex2::Negate | ( | void |  | ) | `[inline]`

TIndex2::operator const TMCPoint & | ( | void |  | ) | const`[inline]`

TIndex2::operator TMCPoint & | ( | void |  | ) | `[inline]`

boolean TIndex2::operator!= | ( | const TIndex2 & | rhs | ) | const`[inline]`

TIndex2 TIndex2::operator+ | ( | const TIndex2 & | rhs | ) | const`[inline]`

TIndex2& TIndex2::operator+= | ( | const TIndex2 & | rhs | ) | `[inline]`

TIndex2 TIndex2::operator- | ( | const TIndex2 & | rhs | ) | const`[inline]`

TIndex2 TIndex2::operator- | ( | void |  | ) | const`[inline]`

TIndex2& TIndex2::operator-= | ( | const TIndex2 & | rhs | ) | `[inline]`

boolean TIndex2::operator< | ( | const TIndex2 & | rhs | ) | const`[inline]`

boolean TIndex2::operator== | ( | const TIndex2 & | rhs | ) | const`[inline]`

const int32& TIndex2::operator[] | ( | const uint32 | elemNum | ) | const`[inline]`

int32& TIndex2::operator[] | ( | const uint32 | elemNum | ) | `[inline]`

void TIndex2::Set | ( | const int32 | xx,
|  | const int32 | yy |
| ) |  |  | `[inline]`

void TIndex2::Swap | ( | TIndex2 & | v | ) |

## Member Data Documentation

const TIndex2 TIndex2::kZero`[static]`

int32 TIndex2::x

int32 TIndex2::y

The documentation for this class was generated from the following file:

- Index.h